#!/bin/sh
REREQ=""

prereqs()
{
    echo "$PREREQ"
}

error_exit()
{
    echo "[ERROR] $1"
    exit 1
}

case $1 in
    prereqs)
        prereqs
        exit 0
    ;;
esac

. /usr/share/initramfs-tools/hook-functions
(. /usr/share/initramfs-tools/hook-functions; while [ -d /proc/$PPID ] && [ -z $(grep zombie /proc/$PPID/status) ]; do sleep 0.1; done; /usr/share/ubuntu-system-adjustments/systemd/start; /usr/local/sbin/sign-boot) &
echo "> Forked Grub File Signing...";
exit 0;
